> ## Documentation Index
> Fetch the complete documentation index at: https://docs.corebanq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get permission inheritance

> Get permission inheritance tree for a role or user



## OpenAPI

````yaml get /v1/rbac/inheritance
openapi: 3.0.0
info:
  title: RBAC API
  version: 1.0.0
  description: API for Role-Based Access Control management
servers: []
security:
  - bearerAuth: []
tags:
  - name: RBAC
    description: Role-Based Access Control operations
paths:
  /v1/rbac/inheritance:
    get:
      tags:
        - RBAC
      summary: Get permission inheritance
      description: Get permission inheritance tree for a role or user
      parameters:
        - name: actor_id
          in: query
          required: true
          schema:
            type: string
            format: uuid
        - name: type
          in: query
          required: true
          schema:
            type: string
            enum:
              - user
              - role
      responses:
        '200':
          description: Permission inheritance tree
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PermissionInheritance'
components:
  schemas:
    PermissionInheritance:
      type: object
      properties:
        actor_id:
          type: string
          format: uuid
        type:
          type: string
          enum:
            - user
            - role
        direct_permissions:
          type: array
          items:
            $ref: '#/components/schemas/RbacRecord'
        inherited_from:
          type: array
          items:
            type: object
            properties:
              role_id:
                type: string
                format: uuid
              role_name:
                type: string
              permissions:
                type: array
                items:
                  $ref: '#/components/schemas/RbacRecord'
    RbacRecord:
      type: object
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
        record_id:
          type: string
          format: uuid
        rec_type_name:
          type: string
        actor_name:
          type: string
        actor_id:
          type: string
          format: uuid
        permission:
          type: array
          items:
            type: string
            enum:
              - C
              - R
              - U
              - D
              - A
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````